Skip to main content
Get a paged array of practitioners

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

id_gt
integer | null

The starting object id of the next page

Example:

200

id_lt
integer | null

The starting object id of the previous page

Example:

100

update_gt

Search for objects updated after this date time

Example:

"2023-07-30T09:00:00.000Z"

update_lt

Search for objects updated before this date time

Example:

"2023-07-30T09:00:00.000Z"

include_archived
enum<string> | null
default:false

Whether archived objects should be retrieved, default is false

Available options:
true,
false
firstname
string | null

Practitioner first name

Example:

"Albus"

lastname
string | null

Practitioner last name

Example:

"Dumbledore"

email
string | null

Patient email

Example:

"albus@hogwarts.edu"

isActive
enum<string> | null

Whether the practitioner is active

Available options:
true,
false
Example:

"true"

roleName
string | null

Practitioner role name – can be one of the predefined roles or a custom user-defined role

Example:

"practitioner admin"

Response

200 - application/json

A paged array of practitioners

data
object[]
required